Package owl.translations.ltl2ldba

## Class AbstractAcceptingComponentBuilder<S,T extends OmegaAcceptance,U extends RecurringObligation>

- java.lang.Object
- - owl.translations.ltl2ldba.AbstractAcceptingComponentBuilder<S,T,U>

- All Implemented Interfaces:
    `MutableAutomatonBuilder<Jump<U>,S,T>`
  Direct Known Subclasses:
    `DegeneralizedAcceptingComponentBuilder`, `DegeneralizedAcceptingComponentBuilder`, `GeneralizedAcceptingComponentBuilder`, `GeneralizedAcceptingComponentBuilder`

      public abstract class AbstractAcceptingComponentBuilder<S,T extends OmegaAcceptance,U extends RecurringObligation>
      extends Object
      implements MutableAutomatonBuilder<Jump<U>,S,T>

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected List<S>` | `anchors` |
    `protected Factories` | `factories` |
    `protected EquivalenceClassStateFactory` | `factory` |

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `AbstractAcceptingComponentBuilder​(Set<LTL2LDBAFunction.Configuration> optimisations, Factories factories)` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `S` | `add​(Jump<U> jump)` |
    `protected abstract S` | `createState​(EquivalenceClass remainder, U obligations)` |

    - ### Methods inherited from interface owl.automaton.ldba.MutableAutomatonBuilder

      `build`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### anchors

          protected final List<S> anchors

    - #### factories

          protected final Factories factories

    - #### factory

          protected final EquivalenceClassStateFactory factory

  - ### Constructor Detail

    - #### AbstractAcceptingComponentBuilder

          protected AbstractAcceptingComponentBuilder​(Set<LTL2LDBAFunction.Configuration> optimisations,
                                                      Factories factories)

  - ### Method Detail

    - #### add

          @Nullable
          public S add​(@Nullable
                       Jump<U> jump)

      Specified by:
        `add` in interface `MutableAutomatonBuilder<S,T extends OmegaAcceptance,U extends RecurringObligation>`

    - #### createState

          @Nullable
          protected abstract S createState​(EquivalenceClass remainder,
                                           U obligations)